> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fundingAchReturns

> An itemized list of financially impacting ACH returns occurring on the pertinent funds release dates. Use this report to track ACH return-related money-movements.

`Query`

## Arguments

<ParamField path="input" type="FundingAchReturnInput!" required>
  <Expandable title="child attributes">
    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="FundingAchReturnsFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="acceptorId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="activityDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="fundsReleaseDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="fundsTransferId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="perspective" type="EnumFilterInputOfPerspectiveInput">
          See [EnumFilterInputOfPerspectiveInput](/acquiring/reference/graphql/types/enum-filter-input-of-perspective-input)
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`FundingAchReturnOutputCollection`

<ResponseField name="items" type="[FundingAchReturnOutput!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptor" type="Acceptor!" required>
      See [Acceptor](/acquiring/reference/graphql/types/acceptor)
    </ResponseField>

    <ResponseField name="accountNumberEndingIn" type="String">
      The last few numbers of the bank account used as a visual reference to the full account numer.
    </ResponseField>

    <ResponseField name="accountOwnerName" type="String">
      The name of the bank account owner, as provided by the NACHA report.
    </ResponseField>

    <ResponseField name="accountOwnerType" type="AccountOwnerType">
      The type of the bank account owner, as provided by the NACHA report.

      See [AccountOwnerType](/acquiring/reference/graphql/types/account-owner-type)
    </ResponseField>

    <ResponseField name="accountType" type="BankAccountType">
      The type of the bank account, e.g., Checking or Savings.

      See [BankAccountType](/acquiring/reference/graphql/types/bank-account-type)
    </ResponseField>

    <ResponseField name="activityDate" type="Date!" required>
      The date Tesouro received the ach return.
    </ResponseField>

    <ResponseField name="amount" type="Decimal!" required>
      The amount of the ach return.
    </ResponseField>

    <ResponseField name="currency" type="String!" required>
      The currency specified on the ach return.
    </ResponseField>

    <ResponseField name="fundingAmount" type="Decimal">
      The funded amount of the ACH return.
    </ResponseField>

    <ResponseField name="fundingCurrency" type="String">
      The currency associated with the ACH return funding amount.
    </ResponseField>

    <ResponseField name="fundsReleaseDate" type="Date">
      The date the debited or credited funds for the ACH return were released.
    </ResponseField>

    <ResponseField name="fundsTransferDescriptor" type="String">
      A value created by Tesouro and sent with the funds transfer to the recipient's bank for display on the bank statement. It includes information on who sent the money and the purpose of the payment. The recipient can use this value to help with bank and transaction reconciliation.
    </ResponseField>

    <ResponseField name="fundsTransferId" type="UUID">
      A unique identifier created by Tesouro and assigned to the transfer of money to a bank account for this ach return, that identifies a cohort of funded transactions making up the transfer.
    </ResponseField>

    <ResponseField name="id" type="UUID!" required>
      A unique identifier created by Tesouro and assigned to the ACH return resulting in the credit or debit.
    </ResponseField>

    <ResponseField name="organization" type="Organization!" required>
      See [Organization](/acquiring/reference/graphql/types/organization)
    </ResponseField>

    <ResponseField name="paymentId" type="UUID">
      A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the same payment request cohort. e.g., An authorization request, incremental authorization request, and the final capture would have the same paymentID.
    </ResponseField>

    <ResponseField name="perspective" type="Perspective">
      The perspective of the money movement, which can be either 'Acceptor' or 'Partner'. This field is used to determine the financial perspective from which the ACH return is reported.

      See [Perspective](/acquiring/reference/graphql/types/perspective)
    </ResponseField>

    <ResponseField name="reason" type="String!" required>
      Description of return reason.
    </ResponseField>

    <ResponseField name="reasonCode" type="AchReturnCode!" required>
      Nacha Return Codes and associated ISO Status Reason Codes for returns and reversals from the External Code List.

      See [AchReturnCode](/acquiring/reference/graphql/types/ach-return-code)
    </ResponseField>

    <ResponseField name="routingNumber" type="String!" required>
      A unique nine-digit number that identifies a bank and is used for electronic transactions. It's also known as an ABA routing number, or routing transit number (RTN).
    </ResponseField>

    <ResponseField name="traceNumber" type="String!" required>
      A unique 15 digit reference number created by the bank and used to investigate and research ACH transfers and returns.
    </ResponseField>

    <ResponseField name="transactionActivityDate" type="Date">
      The date Tesouro recognized the original ACH payment request, based upon the acceptor cutoff. Formatted as YYYY-MM-DD
    </ResponseField>

    <ResponseField name="transactionAmount" type="Decimal!" required>
      The transaction amount submitted with the original ach request.
    </ResponseField>

    <ResponseField name="transactionDateTime" type="DateTime!" required>
      The date and time that Tesouro received the original ach transaction, in UTC. Formatted as 2024-03-27T02:40:00Z
    </ResponseField>

    <ResponseField name="transactionId" type="UUID!" required>
      A unique identifier assigned by Tesouro to the original ach transaction.
    </ResponseField>

    <ResponseField name="transactionReference" type="String">
      A unique identifier from original ach transaction created by the entity holding the direct relationship with the Acceptor. Tesouro uses this identifier to manage idempotency.
    </ResponseField>

    <ResponseField name="transactionTraceNumber" type="String!" required>
      A number that a bank can you to investigate and research an ach transaction.
    </ResponseField>

    <ResponseField name="transactionType" type="TransactionType!" required>
      The type of original ach transaction, e.g., Sale or Refund.

      See [TransactionType](/acquiring/reference/graphql/types/transaction-type)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query FundingAchReturns($input: FundingAchReturnInput!) {
    fundingAchReturns(input: $input) {
      items {
        acceptor {
          businessName
          fundingAchReturns
          id
          name
          reference
        }
        accountNumberEndingIn
        accountOwnerName
        accountOwnerType
        accountType
        activityDate
        amount
        currency
        fundingAmount
        fundingCurrency
        fundsReleaseDate
        fundsTransferDescriptor
        fundsTransferId
        id
        organization {
          businessName
          capabilities
          fundingAchReturns
          id
          legalName
          name
          phoneNumber
        }
        paymentId
        perspective
        reason
        reasonCode
        routingNumber
        traceNumber
        transactionActivityDate
        transactionAmount
        transactionDateTime
        transactionId
        transactionReference
        transactionTraceNumber
        transactionType
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "activityDate": "example",
        "fundsReleaseDate": "example"
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query FundingAchReturns($input: FundingAchReturnInput!) {\n  fundingAchReturns(input: $input) {\n    items {\n      acceptor {\n        businessName\n        fundingAchReturns\n        id\n        name\n        reference\n      }\n      accountNumberEndingIn\n      accountOwnerName\n      accountOwnerType\n      accountType\n      activityDate\n      amount\n      currency\n      fundingAmount\n      fundingCurrency\n      fundsReleaseDate\n      fundsTransferDescriptor\n      fundsTransferId\n      id\n      organization {\n        businessName\n        capabilities\n        fundingAchReturns\n        id\n        legalName\n        name\n        phoneNumber\n      }\n      paymentId\n      perspective\n      reason\n      reasonCode\n      routingNumber\n      traceNumber\n      transactionActivityDate\n      transactionAmount\n      transactionDateTime\n      transactionId\n      transactionReference\n      transactionTraceNumber\n      transactionType\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
          "activityDate": "example",
          "fundsReleaseDate": "example"
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "fundingAchReturns": {
        "items": [
          {
            "acceptor": {
              "allocations": "example",
              "authorizationSummaries": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessName": "Clacksworth Keyboards",
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "reference": "example"
            },
            "accountNumberEndingIn": "example",
            "accountOwnerName": "example",
            "accountOwnerType": "CONSUMER",
            "accountType": "CHECKING",
            "activityDate": "2026-01-15",
            "amount": 0,
            "currency": "example",
            "fundingAmount": 0,
            "fundingCurrency": "example",
            "fundsReleaseDate": "2026-01-15",
            "fundsTransferDescriptor": "example",
            "fundsTransferId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
            "id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
            "organization": {
              "acceptorApplicationCounts": [
                "example"
              ],
              "acceptors": "example",
              "achNotificationsOfChange": "example",
              "achReturns": "example",
              "allocations": "example",
              "allowedMerchantCategories": [
                "example"
              ],
              "authorizationSummaries": "example",
              "businessAddress": "example",
              "businessName": "Clacksworth Keyboards",
              "capabilities": [
                "ACQUIRING"
              ],
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisbursementReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
              "legalName": "example",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "phoneNumber": "example",
              "reportAvailability": [
                "example"
              ],
              "settings": "example"
            },
            "paymentId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
            "perspective": "PARTNER",
            "reason": "example",
            "reasonCode": "R01",
            "routingNumber": "example",
            "traceNumber": "example",
            "transactionActivityDate": "2026-01-15",
            "transactionAmount": 0,
            "transactionDateTime": "2026-01-15T14:30:00Z",
            "transactionId": "b6d4e5f6-7a8b-9012-3def-456789012345",
            "transactionReference": "example",
            "transactionTraceNumber": "example",
            "transactionType": "AUTHORIZATION"
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
